import axiosInstance from "@/api/axios.ts";
import axios from "axios";
import {CookieUtils} from "@/utils/CookieUtils.ts";

export default class FileApi {

    // 获取文件名称列表
    public static getFileNameList() {
        return axiosInstance.get('/app/wcsFile/getFilesName');
    };

    // 下载文件
    public static downloadFile(fileName: string) {
        return axiosInstance.get('/app/wcsFile/downLoadFile', {
            params: {
                fileName: fileName
            },
            responseType: 'blob',
            timeout: 30000,
        });
    }
}